> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/samples/webviewer-nuxtjs.md).

# Integrate WebViewer into Nuxt 2

Sample project integrating WebViewer with Nuxt 2

This sample integrates WebViewer into a [Nuxt 2](https://v2.nuxt.com/) project. The project was created using the `npm init nuxt-app` command and utilizes the BootstrapVue UI Framework along with the NuxtJS module, which offers a promise-based HTTP client.

WebViewer provides a slick out-of-the-box responsive UI that enables you to view, annotate and manipulate PDFs and other document types inside any web project.

Once you generate your license key, it will automatically be included in your sample code below.

{% @apryse-license-key/apryse-license-key platform="WEB\_VIEWER" variant="compact" %}

Click the button below to view the full project in GitHub.

{% tabs %}
{% tab title="Vue" %}
{% code title="WebViewer.vue" lineNumbers="true" %}

```vue
<template>
  <div id="webviewer" ref="viewer" />
</template>

<script>
export default {
  name: 'WebViewer',
  props: {
    url: String
  },
  mounted () {
    const WebViewer = globalThis.WebViewer;

    if (!WebViewer) {
      console.error('WebViewer script not loaded');
      return;
    }

    WebViewer.Iframe({
      path: '/lib/webviewer',
      initialDoc: this.url,
      licenseKey: 'your_license_key'
    }, this.$refs.viewer).then((instance) => {
      // call apis here
    });
  }
};
</script>

<style>
#webviewer {
  height: 100vh;
}
</style>

```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/get-started/samples/webviewer-nuxtjs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
